Subject: Re: [MMUSIC] 10 BUNDLE questions: If m= lines are rejected, should their mids show up in the BUNDLE answer?

From: Christer Holmberg <[email-masked]>
Date: Thu, 25 Apr 2013 11:59:23 +0000

Hi,

>9. If m= lines are rejected, should their mids show up in the BUNDLE answer? (assume yes?)

As has been indicated, RFC 5888 does not currently allow it.

>1. If not, how does remote side indicate BUNDLE support if it rejects the m= lines that are BUNDLEd?

As was indicated, one way would be to return en "empty" BUNDLE group attribute, without any mid (the RFC 5888 ABNF allows it).

For now, I will keep this as an OPEN ISSUE, as the outcome might be dependent on whether we are going to update RFC 5888.

NOTE that I am currently NOT suggesting that we should update RFC 5888. But, there are a number of things which could be solved that way, so I want to make sure we find alternative solutions for all issues :)

Regards,

Christer